Errors

How to Install Legacy Java SE 6 Runtime on macOS

When attempting to open Coati, Adobe Photoshop or other products of Adobe on OS X Yosemite or the following OS releases, users are met by a common error that states you need to install legacy Java SE 6 runtime.

How to Install Legacy Java SE 6 Runtime on MacOS

It’s not just the above-mentioned apps that result in this error but any app that requires the Java SE 6 Runtime such as PDF Studio 9, Patch Tool, Eclipse, Dreamweaver, Minecraft, Filmmaker Pro Advanced, and more.

With such a wide variety of apps affected by this error, naturally, fixing the issue should be the first thing on your mind. Thankfully, the resolution is simple and we will guide you through the process.

What Causes the Error?

The reason why you encounter this error is because all the apps we mentioned and others that result in this error rely on Java 6 for its operation and a fault with the Java program or missing Java SE6 is causing the error with the other apps. All Mac operating system comes integrated with the latest Java Runtime (SE 8.0). However, Java does not allow interoperability, even with programs that require it to function normally.

Hence, even when you have Java SE8 installed, it is will not run apps that require Java SE6. Here is how you can fix this issue.

Method 1: Install Legacy Java SE 6 Runtime on macOS

At this point, it’s important to know that you can have two Java programs on your system – Java SE6 and Java SE8 – without any problem. So, if you have Java SE8 installed, you can still install SE6 without having to uninstall SE8. Follow the steps to install SE6.

  1. When you get the error message requesting to install SE6, click on More Info
  2. This will lead you to the website of Apple with the instructions to install Java 6 Runtime
  3. Download the installer from the website following the instructions on the website
  4. After you have successfully downloaded the file, double-click on .dmg file to launch the installation process
  5. Follow the instructions on the screen to install Java 6 Runtime.

Method 2: Install Legacy Java SE 6 Runtime on macOS

If you had trouble with the above method, you can try the second method. Follow the steps.

  • Follow this link Download Java for OS X 2017-001 to visit the Apple website and download legacy Java 6 runtime for macOS 10.13 High Sierra, macOS 10.12 Sierra, macOS 10.11 El Capitan, macOS 10.10 Yosemite, macOS 10.9 Mavericks, macOS 10.8 Mountain Lion, and macOS 10.7 Lion.
  • Click on the Download button to get a copy of the software on your Mac.
Download Legacy Java 6 Runtime
  • After you finish downloading the file, install the software by following the on-screen instructions.

Now, you have installed the Java SE 6 Runtime on your computer and you should be able to run all programs irrespective of whether they require Java SE 6 or SE8 Runtime.

Read Next:  8 Solutions for (LOL) League of Legends DirectX Error

Harsh Clif
He is caught in a loop between writing about games and playing them. It's a vicious cycle. Although he's biased towards PC, you can occasionally find him on the PS5. He does not own an Xbox Consoles but plans on getting one soon.

Leave a reply

Your email address will not be published. Required fields are marked *